package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.base.entity.RegionInfo;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.DistrictInfo;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface DistrictInfoDAO {
	int insert(DistrictInfo entity);
	int update(DistrictInfo entity);
	int exist(String id);
	DistrictInfo get(String id);
	int delete(String id);
	List<DistrictInfo> list();
	List<DistrictInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
	DistrictInfo findByParent(String code);

	List<DistrictInfo> findTopRegion();
	List<DistrictInfo> findByParentId(String parentId);
}